MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024756Community[OCCT] OCCT:Visualizationpublic2014-03-23 22:472014-11-11 13:01
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024756: AIS_ConnectedInteractive does not support nested AIS_ConnectedInteractive
DescriptionWhen AIS_ConnectedInteractive connects to another AIS_ConnectedInteractive (directly or via nested AIS_MultipleConnected), only the location of the most nested one is taken into account. The other locations are ignored.

(No fix is available, I had to work-around by accumulating locations outside and creating a single AIS_ConnectedInteractive).
Steps To Reproducebox b 1 2 3
vdisplay b
vconnect b1 0 0 5 1 0 0 0 0 1 b #creates AIS_ConnectedInteractive connected to AIS_Shape
vconnect b2 0 0 5 1 0 0 0 0 1 b1 #creates AIS_ConnectedInteractive connected to AIS_ConnectedInteractive

b2 is displayed at the same location as b1, while it should be translated by the vector {0,0,-5}
TagsNo tags attached.
Test case numberbugs vis(004) bug24756
Attached Files

- Relationships
related to 0024837closedbugmaster Open CASCADE Visualization - revise design and implementation of connected Interactive Objects 

-  Notes
(0030968)
san (developer)
2014-08-21 10:02

Should be fixed by the patch for 0024837, please test on branch CR24837 and close.
(0030971)
bugmaster (administrator)
2014-08-21 10:07

Dear MKV,

Please recheck and if all OK create testing case
(0031087)
duv (developer)
2014-08-26 12:53

Test case:

pload ALL
vinit
box b 1 1 1
vdisplay b
vconnectto b1 2 0 0 b
vconnectto b2 2 0 0 b1
vsetlocation b1 2 1 0
vfit
(0031092)
mkv (tester)
2014-08-26 14:01

Dear duv,
test case bugs vis(004) bug24756 was created and pushed to git branch CR24837 0024837
Could you please review it.
(0031095)
duv (developer)
2014-08-26 15:06

Dear mkv,

Test case reviewed without remarks.
(0031155)
bugmaster (administrator)
2014-08-28 14:35

Waiting fix for 24837
(0031180)
duv (developer)
2014-08-29 12:12

Dear bugmaster,

CR24837 is tested.
(0031266)
bugmaster (administrator)
2014-09-02 12:09

Test case has been integrated with fix for 0024837
(0033145)
Roman Lygin (developer)
2014-10-15 15:46

Verified in 6.8.0 beta using the following commands:

box b 1 2 3
vdisplay b
vconnect asm 0 0 5 b
vconnect asm1 5 0 0 asm
vconnect asm2 0 0 3 asm asm1

- Issue History
Date Modified Username Field Change
2014-03-23 22:47 Roman Lygin New Issue
2014-03-23 22:47 Roman Lygin Assigned To => san
2014-04-16 12:01 kgv Relationship added related to 0024837
2014-07-25 14:55 san Assigned To san => duv
2014-07-25 14:55 san Status new => assigned
2014-07-25 14:55 san Target Version => 6.8.0
2014-08-21 10:02 san Note Added: 0030968
2014-08-21 10:02 san Assigned To duv => bugmaster
2014-08-21 10:02 san Status assigned => feedback
2014-08-21 10:07 bugmaster Note Added: 0030971
2014-08-21 10:08 bugmaster Assigned To bugmaster => mkv
2014-08-26 12:53 duv Note Added: 0031087
2014-08-26 14:01 mkv Note Added: 0031092
2014-08-26 14:02 mkv Test case number => bugs vis(004) bug24756
2014-08-26 14:02 mkv Assigned To mkv => duv
2014-08-26 15:06 duv Note Added: 0031095
2014-08-26 15:06 duv Assigned To duv => mkv
2014-08-26 15:06 duv Status feedback => reviewed
2014-08-26 15:25 mkv Assigned To mkv => bugmaster
2014-08-26 15:25 mkv Status reviewed => tested
2014-08-28 14:35 bugmaster Note Added: 0031155
2014-08-28 14:35 bugmaster Assigned To bugmaster => duv
2014-08-28 14:35 bugmaster Status tested => assigned
2014-08-29 12:12 duv Note Added: 0031180
2014-08-29 12:12 duv Assigned To duv => bugmaster
2014-08-29 12:12 duv Status assigned => feedback
2014-09-02 12:09 bugmaster Status feedback => tested
2014-09-02 12:09 bugmaster Note Added: 0031266
2014-09-02 12:09 bugmaster Status tested => verified
2014-09-02 12:09 bugmaster Resolution open => fixed
2014-10-15 15:46 Roman Lygin Note Added: 0033145
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 13:01 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker